Zwischen Java Version 1.6 und 1.4 umschalten

Wer kennt das nicht, da hat man über eine Webconsole die Möglichkeit Hardeware zu konfigurieren und dann ist das per Java Applet gelöst. Wenn man viel Glück hat, dan funktioniert das Applet mit der aktuellen Java RE 1.6.x, wenn man Pech hat nicht.

Bei Pech also Java 1.4 herunterladen und installieren. Und dann funktioniert das immer noch nicht – Mist.

In der Systemsteuerung findet sich ein Java Icon (das man in der Windows 7 Systemsteuerung übrigens am schnellsten über die Suche oben rechts findet), über das man die Java Konfiguration anpassen kann. Unter anderem kann man dort die aktiven Versionen markieren. Nach der Installation der 1.4er Version sind dort auch brav beide Version aktiv:

Man sollte meinen, dass nun Java Applets die Java 1.4 benötigen sich die Java 1.4 RE schnappen, aber weit gefehlt. In so einem Fall dann einfach die 1.6er JRE deaktivieren und im Zweifelsfall den Webbrowser nochmal neu starten, damit der die Änderung auch sicher mitbekommt. Danach klappt es auch mit Applets die gerne 1.4 hätten.

Veröffentlicht in Technik Kram Getagged mit: ,
Ein Kommentar zu “Zwischen Java Version 1.6 und 1.4 umschalten
  1. Marcel sagt:

    Vielen Dank, die Anleitung hat geholfen. Sei noch anzumerken, das der Java Cache noch gelehrt werden sollte, damit es funktioniert wenn eine Anwendung vorher schon mit einer neueren Java Version geöffnet war. Hab mir deswegen einen Wolf gesucht.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

*